# mongoc_client_new_from_uri()

## Synopsis

    mongoc_client_t *
    mongoc_client_new_from_uri (const mongoc_uri_t *uri)
       BSON_GNUC_WARN_UNUSED_RESULT;

Creates a new mongoc_client_t using the mongoc_uri_t provided.

## Parameters

- `uri`: A mongoc_uri_t.

## Returns

A newly allocated mongoc_client_t that should be freed with mongoc_client_destroy() when no longer in use. On error, `NULL` is returned and an error will be logged.

See also

mongoc_client_new_from_uri_with_error()